Name:          libgraphite2
Version:       1.3.14
Release:       1mamba
Summary:       A cross-platform rendering library for complex writing systems
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://silgraphite.sourceforge.net/
Source:        http://sourceforge.net/projects/silgraphite/files/graphite2/graphite2-%{version}.tgz
License:       LGPL,Common Public Attribution License 1.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Obsoletes:     libsilgraphite
Obsoletes:     libsilgraphite-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Graphite is a project within SIL's scripts and software dev groups to provide cross-platform rendering for complex writing systems.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Graphite is a project within SIL's scripts and software dev groups to provide cross-platform rendering for complex writing systems.

This package contains static libraries and header files need for development.

%package tools
Group:         Applications/Publishing
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
The %{name}-tools package contains utility applications for %{name}.

%debug_package

%prep
%setup -q -n graphite2-%{version}

%build
#-- checking for module 'harfbuzz'
#--   package 'harfbuzz' not found

%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libgraphite2.so.*
%doc COPYING LICENSE

%files devel
%defattr(-,root,root)
%{_libdir}/libgraphite2.la
%{_libdir}/libgraphite2.so
%dir %{_includedir}/graphite2
%{_includedir}/graphite2/*.h
%dir %{_datadir}/graphite2
%{_datadir}/graphite2/graphite2*.cmake
%{_libdir}/pkgconfig/graphite2.pc
%doc ChangeLog 

%files tools
%defattr(-,root,root)
#%{_bindir}/comparerenderer
%{_bindir}/gr2fonttest

%changelog
* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 1.3.14-1mamba
- automatic version update by autodist

* Tue Dec 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.9-2mamba
- obsolete libsilgraphite

* Thu Oct 26 2017 Automatic Build System <autodist@mambasoft.it> 1.3.9-1mamba
- automatic update by autodist

* Thu Sep 01 2016 Automatic Build System <autodist@mambasoft.it> 1.3.8-1mamba
- automatic update by autodist

* Fri Feb 05 2016 Automatic Build System <autodist@mambasoft.it> 1.3.5-1mamba
- automatic update by autodist

* Thu Aug 06 2015 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic update by autodist

* Fri Nov 29 2013 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic update by autodist

* Wed Jun 12 2013 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Fri May 31 2013 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Fri Mar 08 2013 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Thu Oct 11 2012 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Tue Aug 07 2012 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Wed Oct 12 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-1mamba
- package created by autospec
